Bug 521729 - Opps, sealert hit an error!
Summary: Opps, sealert hit an error!
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 00:40 UTC by John Reiser
Modified: 2014-01-21 23:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 19:50:18 UTC


Attachments (Terms of Use)

Description John Reiser 2009-09-08 00:40:12 UTC
Description of problem: Half a minute or so after logging in to Gnome graphical desktop, a sealert notification appears.  When I ask for more info, I get a text box with a traceback.


Version-Release number of selected component (if applicable):
setroubleshoot-server-2.2.24-1.fc12.x86_64
kernel-2.6.31-0.203.rc8.git2.fc12.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/sealert", line 1031, in <module>
    run_as_dbus_service(username)
  File "/usr/bin/sealert", line 159, in run_as_dbus_service
    app = SEAlert(user, dbus_service.presentation_manager, watch_setroubleshootd=True)
  File "/usr/bin/sealert", line 677, in __init__
    self.browser = BrowserApplet(self.username, self.alert_client)
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/browser.py", line 399, in __init__
    self.check_policy()
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/browser.py", line 441, in check_policy
    pl = yb.doPackageLists(patterns=['selinux-policy'])
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1692, in doPackageLists
    avail = self.pkgSack.returnNewestByNameArch(patterns=patterns,
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 702, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 538, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 277, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 172, in populate
    db_fn = repo._retrieveMD(mydbtype)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1518, in _retrieveMD
    "Caching enabled and local cache: %s does not match checksum" % local
RepoError: Caching enabled and local cache: /var/cache/yum/x86_64/11.91/rawhide/b21a0778eff3c79c495ed63d7e72d6bae2bad1827764531ad8dc1e8bc680d3a2-primary.sqlite.bz2 does not match checksum

Expected results: No traceback.  "Opps" [sic] probably is misspelling of "Oops".


Additional info:

Comment 1 Daniel Walsh 2009-09-08 23:18:26 UTC
Looks like a bug in the yum python library.

Comment 2 seth vidal 2009-09-17 14:36:22 UTC
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/browser.py",

is what is making the original call and it doesn't look like it is catching the exception that yum is raising. All it will really take is a YumBaseError exception catch.

Comment 3 Daniel Walsh 2009-09-17 19:50:18 UTC
Fixed in setroubleshoot-2.2.28-1.fc12.x86_64


Note You need to log in before you can comment on or make changes to this bug.